Quantcast

[MacPorts] #53797: py27-jinja2 <2.9 breaks dependencies for ansible

classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

[MacPorts] #53797: py27-jinja2 <2.9 breaks dependencies for ansible

MacPorts
#53797: py27-jinja2 <2.9 breaks dependencies for ansible
----------------------------+---------------------
 Reporter:  djp9803         |      Owner:
     Type:  defect          |     Status:  new
 Priority:  Normal          |  Milestone:
Component:  ports           |    Version:  2.4.1
 Keywords:  ansible jinja2  |       Port:  ansible
----------------------------+---------------------
 The current version of ansible requires jinja2<2.9, but jinja2<2.9 is not
 available.  This was made a requirement in ansible because jinja2(2.9)
 broke ansible.

 When running a playbook containing templates using ansible 2.2.1.0.1,
 ansible reports:
 "The 'jinja2<2.9' distribution was not found and is required by ansible"

 Further information:
 https://github.com/ansible/ansible/issues/20285

 It seems that ansible needs to be updated (i believe upstream is already
 patched) or jinja2 needs to be reverted to <2.9.

--
Ticket URL: <https://trac.macports.org/ticket/53797>
MacPorts <https://www.macports.org/>
Ports system for macOS
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: [MacPorts] #53797: py27-jinja2 <2.9 breaks dependencies for ansible

MacPorts
#53797: py27-jinja2 <2.9 breaks dependencies for ansible
--------------------------------+-------------------------
  Reporter:  djp9803            |      Owner:  adfernandes
      Type:  defect             |     Status:  assigned
  Priority:  Normal             |  Milestone:
 Component:  ports              |    Version:  2.4.1
Resolution:                     |   Keywords:
      Port:  ansible py-jinja2  |
--------------------------------+-------------------------
Changes (by mf2k):

 * keywords:  ansible jinja2 =>
 * cc: blair, steenzout, jmroot (added)
 * status:  new => assigned
 * port:  ansible => ansible py-jinja2
 * owner:   => adfernandes


Comment:

 In the future, please Cc the port maintainers ({{{port info --maintainers
 ansible}}}), if any.

--
Ticket URL: <https://trac.macports.org/ticket/53797#comment:1>
MacPorts <https://www.macports.org/>
Ports system for macOS
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: [MacPorts] #53797: py27-jinja2 <2.9 breaks dependencies for ansible

MacPorts
In reply to this post by MacPorts
#53797: py27-jinja2 <2.9 breaks dependencies for ansible
--------------------------------+-------------------------
  Reporter:  djp9803            |      Owner:  adfernandes
      Type:  defect             |     Status:  assigned
  Priority:  Normal             |  Milestone:
 Component:  ports              |    Version:  2.4.1
Resolution:                     |   Keywords:
      Port:  ansible py-jinja2  |
--------------------------------+-------------------------

Comment (by adfernandes):

 Okay - if I read the github issue correctly, the current `jinja2-2.9.5`
 with `ansible-2.2.2` should fix this, correct?

 Since `ansible-2.2.2` is currently in `rc2` status, maybe the best thing
 to do is wait a week for it to be released, then this bug goes away?

--
Ticket URL: <https://trac.macports.org/ticket/53797#comment:2>
MacPorts <https://www.macports.org/>
Ports system for macOS
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: [MacPorts] #53797: py27-jinja2 <2.9 breaks dependencies for ansible

MacPorts
In reply to this post by MacPorts
#53797: py27-jinja2 <2.9 breaks dependencies for ansible
--------------------------------+-------------------------
  Reporter:  djp9803            |      Owner:  adfernandes
      Type:  defect             |     Status:  assigned
  Priority:  Normal             |  Milestone:
 Component:  ports              |    Version:  2.4.1
Resolution:                     |   Keywords:
      Port:  ansible py-jinja2  |
--------------------------------+-------------------------

Comment (by djp9803):

 I concur.

--
Ticket URL: <https://trac.macports.org/ticket/53797#comment:3>
MacPorts <https://www.macports.org/>
Ports system for macOS
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: [MacPorts] #53797: py27-jinja2 <2.9 breaks dependencies for ansible

MacPorts
In reply to this post by MacPorts
#53797: py27-jinja2 <2.9 breaks dependencies for ansible
--------------------------------+-------------------------
  Reporter:  djp9803            |      Owner:  adfernandes
      Type:  defect             |     Status:  closed
  Priority:  Normal             |  Milestone:
 Component:  ports              |    Version:  2.4.1
Resolution:  fixed              |   Keywords:
      Port:  ansible py-jinja2  |
--------------------------------+-------------------------
Changes (by adfernandes):

 * status:  assigned => closed
 * resolution:   => fixed


Comment:

 Fixed in 717197f4a8

--
Ticket URL: <https://trac.macports.org/ticket/53797#comment:4>
MacPorts <https://www.macports.org/>
Ports system for macOS
Loading...